# Uses of Class
org.apache.sysds.hops.DataGenOp

Packages that use DataGenOp
Package
Description
org.apache.sysds.hops.rewrite

## Uses of DataGenOp in org.apache.sysds.hops.rewrite

Methods in org.apache.sysds.hops.rewrite that return DataGenOp
Modifier and Type
Method
Description
`static DataGenOp`
HopRewriteUtils.`copyDataGenOp(DataGenOp inputGen, double scale, double shift)`
Assumes that min and max are literal ops, needs to be checked from outside.
`static DataGenOp`
HopRewriteUtils.`createSeqDataGenOp(Hop input)`
`static DataGenOp`
HopRewriteUtils.`createSeqDataGenOp(Hop input, boolean asc)`
`static DataGenOp`
HopRewriteUtils.`createSeqDataGenOp(Hop proxy, Hop from, Hop to, Hop incr)`
Methods in org.apache.sysds.hops.rewrite with parameters of type DataGenOp
Modifier and Type
Method
Description
`static DataGenOp`
HopRewriteUtils.`copyDataGenOp(DataGenOp inputGen, double scale, double shift)`
Assumes that min and max are literal ops, needs to be checked from outside.